using UnityEngine;

public enum Element{Ice, Fire, Thunder, Water}

public class Weapon : MonoBehaviour{

    public Element element;
    public Projectile projectilePrefab;
    public GameObject weaponPrefab;
    public float projectileSpeed;


    public void shoot(Vector3 p0, Vector3 p1, Vector3 p2, int senderID){

        Projectile p = GameObject.Instantiate(projectilePrefab);
        p.transform.position = p0;
        
        p.init(p0, p1, p2, element, projectileSpeed, senderID);

    }

}


